View Issue Details

IDProjectCategoryView StatusLast Update
0025874LazarusIDEpublic2014-03-29 08:33
ReporterStefano Zaglio Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntu 
Summary0025874: gtk2 not sending correct KeyPress for brace "{" to TCustomControl
Descriptionin the source code editor, the combination of key "alt gr" and "shift" and key "è [ é {" do not show/insert the brace "{".

TEdit and TMemo works.
All others application (gedit, firefox, ecc) works.

The keyboard layout is Italian.
Steps To ReproduceA new form with TSynEdit or TSynMemo have the same problem of IDE.
Lazarus IDE : 1.0.14 : Normal profile.
fpc : 2.6.2.
Additional InformationThe pc is a notebook acer travelmate 2420 with a celeron.
TagsNo tags attached.
Fixed in Revision44507
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0022703 resolvedZeljan Rikalo CN_SYSCHAR not handled by LCL => some keys don't work in GTK2 SynEdit 
related to 0009648 acknowledged Mac: Alt characters doesn't work 

Activities

Martin Friebe

2014-03-22 19:10

manager   ~0073896

Is that:
- In the IDE
- In a TSynEdit on a new TForm
- both ?

This may, or may not be a configuration issue:

Please make sure that altgr (or alt-ctrl) - shift - é is not bound to some special function.
- In the IDE: check under Tools / Options / Editor / Keymap
- With SynEdit on your own Form, in the Object Inspector select the property "KeyStrokes" of the SynEdit, and clear all entries that may refer to that key.


Stefano Zaglio

2014-03-24 11:34

reporter   ~0073927

provided that the problem occur after a clean installation (both os/ide):

where: both IDE and TSynEdit.
keymap: nothing with shift+alt+ctrl+word('219') nor alt+ctrl+word('219')
keystrokes: no ref. to 'è','é','[','{'

Martin Friebe

2014-03-24 12:14

manager   ~0073928

Thanks.
I changed the description accordingly.

SynEdit is a CustomControl, and takes it input from OnKeyPress.

TEdit/TMemo bypass Keypress as they are handled in the GTK2 libraries.

This issue is probably affecting the OnKeyPress (actually OnUtf8Keyress) of any TCustomControl / TControl.

Try an empty TForm, and assign OnUtf8KeyPress. See if you can receive the "{"

Zeljan Rikalo

2014-03-24 16:35

developer   ~0073936

Please test and close if ok.

Stefano Zaglio

2014-03-24 17:16

reporter   ~0073939

No, the TForm1.FormUTF8KeyPress do not receive "{" pressing ATLGR+SHIFT+"è"(219)
It receive "[" pressing ATLGR+(219)

In any case, the console show this 3 times:

    TWinControl.KeyUpAfterInterface Form1:TForm1

Martin Friebe

2014-03-26 02:45

manager   ~0073979

@Stefan: if the issue still persists, then re-open it, or the note way not be seen

Stefano Zaglio

2014-03-26 17:14

reporter   ~0073991

The problem still persist. I need a patch or a more precise indication where to change code.

Martin Friebe

2014-03-26 17:33

manager   ~0073992

Did you test with the revision mentioned in the "Issue History" below?

Best to be done by checking out SVN. You can also view changes here
http://svn.freepascal.org/cgi-bin/viewvc.cgi?view=revision&root=lazarus&revision=44507

If you have not (or can not) test with this revision, then the issue should be resolved again, until 1.2.2 is released. You can then test with 1.2.2 and re-open if needed (or close otherwise).

----
Please reply *here* for: Have you tested with revision 44507 or later?

Any question about how to test with that revision (or how to apply changes), please ask on the forum, or mail list.

Zeljan Rikalo

2014-03-26 20:30

developer   ~0073995

It's resolved until reporter confirm lazarus version.I seriously doubt that he is testing with trunk lazarus.If he's testing with trunk lazarus (he is 100% sure) then reopen.I can test on Ubuntu 10 tomorrow.

Stefano Zaglio

2014-03-29 03:36

reporter   ~0074049

Now I tested the trunk and works (sorry I'm new). Tnx

Issue History

Date Modified Username Field Change
2014-03-17 12:20 Stefano Zaglio New Issue
2014-03-22 15:58 Bart Broersma Project Lazarus CCR => Lazarus
2014-03-22 19:10 Martin Friebe LazTarget => -
2014-03-22 19:10 Martin Friebe Note Added: 0073896
2014-03-22 19:10 Martin Friebe Status new => feedback
2014-03-24 11:34 Stefano Zaglio Note Added: 0073927
2014-03-24 11:34 Stefano Zaglio Status feedback => new
2014-03-24 12:14 Martin Friebe Note Added: 0073928
2014-03-24 12:14 Martin Friebe Summary synedit do not show brace "{" => gtk2 not sending correct KeyPress for brace "{" to TCustomControl
2014-03-24 12:19 Martin Friebe Relationship added related to 0022703
2014-03-24 12:19 Martin Friebe Relationship added related to 0009648
2014-03-24 16:35 Zeljan Rikalo Fixed in Revision => 44507
2014-03-24 16:35 Zeljan Rikalo Note Added: 0073936
2014-03-24 16:35 Zeljan Rikalo Status new => resolved
2014-03-24 16:35 Zeljan Rikalo Resolution open => fixed
2014-03-24 16:35 Zeljan Rikalo Assigned To => Zeljan Rikalo
2014-03-24 17:16 Stefano Zaglio Note Added: 0073939
2014-03-26 02:45 Martin Friebe Note Added: 0073979
2014-03-26 17:14 Stefano Zaglio Note Added: 0073991
2014-03-26 17:14 Stefano Zaglio Status resolved => assigned
2014-03-26 17:14 Stefano Zaglio Resolution fixed => reopened
2014-03-26 17:33 Martin Friebe Note Added: 0073992
2014-03-26 20:30 Zeljan Rikalo Note Added: 0073995
2014-03-26 20:30 Zeljan Rikalo Status assigned => resolved
2014-03-26 20:30 Zeljan Rikalo Resolution reopened => fixed
2014-03-29 03:36 Stefano Zaglio Note Added: 0074049
2014-03-29 08:33 Zeljan Rikalo Status resolved => closed